Bug 662301 - Review Request: plotdrop - A minimal GNOME front-end to Gnuplot
Summary: Review Request: plotdrop - A minimal GNOME front-end to Gnuplot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-11 11:22 UTC by Arun S A G
Modified: 2011-02-15 21:25 UTC (History)
4 users (show)

Fixed In Version: plotdrop-0.5.3-5.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-15 21:25:40 UTC
pikachu.2014: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Arun S A G 2010-12-11 11:22:03 UTC
Spec URL: http://sagarun.fedorapeople.org/SPECS/plotdrop.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/plotdrop-0.5.3-1.fc13.src.rpm
Description: 
Plotdrop is a minimal GNOME front-end to Gnuplot. Plotdrop is designed for quick simple visualization of 2D data series. It is not intended to encompass anywhere near the full capabilities of Gnuplot.

Comment 1 Mohamed El Morabity 2010-12-11 11:23:58 UTC
i will review it.

Comment 2 Mohamed El Morabity 2010-12-12 14:46:19 UTC
It seems the Fedora standard flags are not used at all to compile plotdrop. To fix it, add this in %prep:
   sed -i "s/CFLAGS = /CFLAGS += /" Makefile
And in %build :
   export CFLAGS=$RPM_OPT_FLAGS
   make %{?_smp_mflags}
(setting PREFIX is useless when building plotdrop).

Comment 3 Arun S A G 2010-12-12 16:55:31 UTC
I agree with your point regarding CFLAGS. 

But,

PREFIX is not useless when building plotdrop. 

CFLAGS uses DATADIR , DATADIR uses PREFIX. If you do not use PREFIX /usr/local/share will be come as your data directory. 

SPEC URL:http://sagarun.fedorapeople.org/SPECS/plotdrop.spec

SRPM URL: http://sagarun.fedorapeople.org/SRPMS/plotdrop-0.5.3-2.fc13.src.rpm

Comment 4 Terje Røsten 2010-12-14 07:51:46 UTC
Minor issue: use the %{_prefix} macro as PREFIX argument.

Comment 5 Mohamed El Morabity 2010-12-21 11:11:50 UTC
(In reply to comment #3)
> PREFIX is not useless when building plotdrop. 
> 
> CFLAGS uses DATADIR , DATADIR uses PREFIX. If you do not use PREFIX
> /usr/local/share will be come as your data directory. 
Absolutely right, sorry for my wrong remark, I missed the line in question in the Makefile.

> SPEC URL:http://sagarun.fedorapeople.org/SPECS/plotdrop.spec
> 
> SRPM URL: http://sagarun.fedorapeople.org/SRPMS/plotdrop-0.5.3-2.fc13.src.rpm
As Terje said, you'd better use %{_prefix} than /usr/ explicitely.

rpmlint complains on empty debug:
   plotdrop-debuginfo.x86_64: E: empty-debuginfo-package
When installing the files, the Makefile call install with the -s option (strip), that *must* be removed.
You can use the following sed command, in %prep too:
   sed -i "s/install -s/install/g" Makefile

Comment 6 Mohamed El Morabity 2011-01-05 23:56:34 UTC
Ping?

Comment 7 Arun S A G 2011-01-09 06:52:14 UTC
PREFIX cannot be replaced with %{_prefix} since Makefile uses PREFIX. Please try it yourself, you will notice the issue.

SPEC: http://sagarun.fedorapeople.org/SPECS/plotdrop.spec

SRPM: http://sagarun.fedorapeople.org/SRPMS/plotdrop-0.5.3-3.fc14.src.rpm

Comment 8 Mamoru TASAKA 2011-01-09 07:18:46 UTC
(In reply to comment #7)
> PREFIX cannot be replaced with %{_prefix} since Makefile uses PREFIX.

What Terje says here is that you should use PREFIX=%{_prefix} instead
of PREFIX=/usr  .

Comment 9 Arun S A G 2011-01-09 09:19:57 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > PREFIX cannot be replaced with %{_prefix} since Makefile uses PREFIX.
> 
> What Terje says here is that you should use PREFIX=%{_prefix} instead
> of PREFIX=/usr  .

oh ok. I totally missed the point. Updated my spec. 


SPEC : http://sagarun.fedorapeople.org/SPECS/plotdrop.spec

SRPM : http://sagarun.fedorapeople.org/SRPMS/plotdrop-0.5.3-4.fc14.src.rpm

Comment 10 Mohamed El Morabity 2011-01-09 12:48:55 UTC
Your package looks very good at this point. Anyway, isn't it obvious for a gnuplot GUI to require gnuplot?
Please add gnuplot as Requires. Once this done, I will certainly approve your package.

Comment 11 Mohamed El Morabity 2011-01-26 06:50:32 UTC
Ping?

Comment 13 Mohamed El Morabity 2011-01-31 07:58:05 UTC
I think it's OK now. Here is the review.


MUST: rpmlint must be run on every package.
->OK, no significant warnings

MUST: The package must be named according to the Package Naming Guidelines.
->OK

MUST: The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.
->OK

MUST: The package must meet the Packaging Guidelines.
->OK

MUST: The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.
->OK

MUST: The License field in the package spec file must match the actual license.
->OK, all files under GPLv2 license

MUST: If (and only if) the source package includes the text of the license(s) in
      its own file, then that file, containing the text of the license(s) for
      the package must be included in %doc.
->OK

MUST: The spec file must be written in American English.
->OK

MUST: The spec file for the package MUST be legible.
->OK

MUST: The sources used to build the package must match the upstream source, as
      provided in the spec URL.
->OK, md5sum = 8eaf3a8385832b15bb54dd6f435a3df6

MUST: The package MUST successfully compile and build into binary rpms on at
      least one primary architecture.
->OK

MUST: If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.
->N/A

MUST: All build dependencies must be listed in BuildRequires, except for any
      that are listed in the exceptions section of the Packaging Guidelines ;
      inclusion of those as BuildRequires is optional.
->OK

MUST: The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
->N/A

MUST: Every binary RPM package (or subpackage) which stores shared library files
      (not just symlinks) in any of the dynamic linker's default paths, must
      call ldconfig in %post and %postun.
->N/A

MUST: Packages must NOT bundle copies of system libraries.
->OK

MUST: If the package is designed to be relocatable, the packager must state this
      fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.
->N/A

MUST: A package must own all directories that it creates. If it does not create
      a directory that it uses, then it should require a package which does
      create that directory.
>OK

MUST: A Fedora package must not list a file more than once in the spec file's
      %files listings. 
->OK

MUST: Permissions on files must be set properly. Executables should be set with
      executable permissions, for example. Every %files section must include a
      %defattr(...) line.
->OK

MUST: Each package must consistently use macros.
->OK

MUST: The package must contain code, or permissable content.
->OK

MUST: Large documentation files must go in a -doc subpackage.
->N/A

MUST: If a package includes something as %doc, it must not affect the runtime of
      the application. To summarize: If it is in %doc, the program must run
      properly if it is not present.
->OK

MUST: Header files must be in a -devel package.
->N/A

MUST: Static libraries must be in a -static package.
->N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.
->N/A

MUST: In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.
->N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.
->N/A

MUST: Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.
->OK

MUST: Packages must not own files or directories already owned by other
      packages.
->OK

MUST: All filenames in rpm packages must be valid UTF-8.
->OK

This package is APPROVED!

Comment 14 Arun S A G 2011-01-31 12:45:06 UTC
New Package CVS Request
=======================
Package Name: plotdrop
Short Description: A minimal GNOME front-end to Gnuplot
Owners: sagarun
Branches: F-14
InitialCC:

Comment 15 Jason Tibbitts 2011-01-31 16:45:42 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2011-02-05 19:29:17 UTC
plotdrop-0.5.3-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/plotdrop-0.5.3-5.fc14

Comment 17 Fedora Update System 2011-02-06 20:20:55 UTC
plotdrop-0.5.3-5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update plotdrop'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/plotdrop-0.5.3-5.fc14

Comment 18 Fedora Update System 2011-02-15 21:25:35 UTC
plotdrop-0.5.3-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.